Bug 1335770 (CVE-2015-8871) - CVE-2015-8871 openjpeg: Use-after-free in opj_j2k_write_mco function
Summary: CVE-2015-8871 openjpeg: Use-after-free in opj_j2k_write_mco function
Status: CLOSED NOTABUG
Alias: CVE-2015-8871
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150915,repor...
Keywords: Security
Depends On: 1335771 1335772 1335773
Blocks: 1299764
TreeView+ depends on / blocked
 
Reported: 2016-05-13 08:02 UTC by Andrej Nemec
Modified: 2016-09-22 00:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-21 00:15:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-13 08:02:30 UTC
A vulnerability was found in openjpeg. There is a potential use-after-free in opj_j2k_write_mco function of the j2k.c file.

External references:

https://github.com/uclouvain/openjpeg/issues/563

Upstream fix:

https://github.com/uclouvain/openjpeg/commit/940100c28ae28931722290794889cf84a92c5f6f

Comment 1 Andrej Nemec 2016-05-13 08:03:22 UTC
Created mingw-openjpeg tracking bugs for this issue:

Affects: fedora-all [bug 1335772]

Comment 2 Andrej Nemec 2016-05-13 08:03:28 UTC
Created openjpeg2 tracking bugs for this issue:

Affects: fedora-all [bug 1335771]
Affects: epel-all [bug 1335773]

Comment 3 Fedora Update System 2016-07-14 14:52:00 UTC
openjpeg2-2.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-07-16 21:21:06 UTC
openjpeg2-2.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-07-18 18:27:10 UTC
mingw-openjpeg2-2.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-07-18 20:53:56 UTC
mingw-openjpeg2-2.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Doran Moppert 2016-09-21 00:14:10 UTC
openjpeg-1 is not affected by this issue.


Note You need to log in before you can comment on or make changes to this bug.